Bug 431852 - gdm 2.20.2/3 ignores MaxSessions value
gdm 2.20.2/3 ignores MaxSessions value
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 07:52 EST by Steve Bergman
Modified: 2015-01-14 18:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:56:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bergman 2008-02-07 07:52:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en; rv:1.8.1.10) Gecko/20071213 Epiphany/2.20 Firefox/2.0.0.10

Description of problem:
I have a fresh install of F8.  MaxSessions is set to 100 in /etc/gdm/custom.conf and also in /usr/share/gdm/defaults.conf.  However, gdm still rejects connections above about 16 with:

gdm-binary[31982]: WARNING: Maximum number of open XDMCP sessions reached

Upgrading to 2.20.3 in the updates testing repo gets rid of those messages in the log, but the when the number of connections reaches about 16, additional connections are rejected.  I'm not certain that the number is exactly 16, but it is in that vicinity.  No more than 20.

There were actually a couple of different problems with similar symptoms in 2.20.1 back around November 2007.

When I try to hard code the value to higher and recompile the package, ./configure fork bombs with pkg-config processes.  I'll present more detailed information on that later in another bug report.

Version-Release number of selected component (if applicable):
2.20.2 and 2.20.3

How reproducible:
Always


Steps to Reproduce:
1. Install F8
2. Set maximum sessions to 100 in gdmsetup
3. Confirm the changes were made to the config file.
4. Tell your 70 users that they can log in now.


Actual Results:
Connections above about 16 were rejected.

Expected Results:
gdm should accept up to 100 connections.

Additional info:
Comment 1 Steve Bergman 2008-02-07 09:38:45 EST
I just noticed I have a typo in the subject.  Just to be clear, I am using
MaxSessions as the key and not MxSessions.  Also, the fork bomb problem on build
went away and I have a special version compiled with MaxSessions hardcoded to
100.  Did a gdm-safe-restart and probably won't be certain whether it works
until after close of business today.
Comment 2 Steve Bergman 2008-02-07 20:55:47 EST
Well, my new rpm in which I hardcoded Maxsessions=100 into
daemon/gdm-daemon-config-keys.h still rejects clients at about the same number
and emits the maximum sessions reached message. I'm stumped. There have been two
recent (oct/nov 2007) issues which might relate.  One in which the config files
were not being honored for certain config keys.  And another where the counter
was not getting decremented properly.  I know the latter is not the case here,
since I have only about 18 users doing xdmcp sessions.  Everyone else is using
NX.  And the former should have been worked around by my hardcoding the values.
 This is a fresh 64 bit install.  It seems odd that no one else has reported
this problem.
Comment 3 Steve Bergman 2008-02-08 01:12:45 EST
Turning on debug I see that Maxsessions is always 16.  The session count seems
to increment and decrement properly, so the only problem seems to be MaxSessions
being stuck at 16.

Setting:

#define DEFAULT_MAX_DISPLAYS          64

in daemon/gdm-xdmcp-manager.c and recompiling *does* give me 64 sessions.  So
that's a work around, and perhaps a clue as to where the real problem is.  I'm a
bit confused, since I thought all this got hashed out and fixed upstream in
2.20.2 months ago.  But downloading the vanilla source from upstream and
compiling yielded the same broken behavior.
Comment 4 Bug Zapper 2008-11-26 04:43:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:56:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.